function [Ud] = zjisti_prahove_napeti(graf)
% zjisti hodnotu prahoveho napeti ze zadanych hodnot

graf = [0 0; abs(graf)];
%figure;
%plot(graf(:, 1), graf(:, 2), 'x-');

x = graf(:, 1); y = graf(:, 2);

% interpolace propustne casti otevrene diody

delka = length(x);

% pocatecni bod prolozeni se urci podle bodu, ve kterem je I > 5 mA
mez = find(y > 0.005, 1, 'first');
%pocet = length(vybery);
vyberx = x(mez:end);
vybery = y(mez:end);

%figure;
%plot(x, y, 'x');
%hold on;

% zvyrazneni bodu, od ktereho se pocita
%plot(vyberx(1), vybery(1), 'xr', 'MarkerSize', 15);

% prolozeni primkou podle metody nejmensich ctvercu
p = polyfit(vyberx, vybery, 1);

% k => p(1), q => p(2)
% pokud je predpis primky y = kx+q, pak prusecik s osou x je -q/k, resp. -p(2)/p(1)
Ud = -p(2)/p(1);
% zaokrouhleni
%plot(Ud, 0, 'MarkerSize', 2);
vektorx = [Ud max(vyberx)];
[vektory] = polyval(p, [Ud max(vyberx)]);

%plot(vektorx, vektory, 'rx-');

% zaokrouhleni na 2 platne cislice
Ud = zaokrouhleni(Ud, 2);